version: 0.2
#this build spec assumes the manylinux CentOS5 custom image
#additional packages we installed: cmake 3.5, libcrypto 1.1.0j, gcc 4.8.4, openjdk8, maven 3.6.0, gnupg 2.0.10
phases:
  install:
    commands:
  pre_build:
    commands:
      - export CC=gcc
  build:
    commands:
      - cd aws-crt-java
      - git submodule update --init
      - JAVA_HOME=/opt/jdk1.8.0_201/ setarch i386 mvn -B package -DskipTests -Punix-x86 -Dcrt.classifier=linux-x86_32
  post_build:
    commands:
      # get the shared libs from the native build
      - mkdir -p ../dist
      - cp -rv target/cmake-build/lib ../dist/
      # get the platform specific jar with classifier
      - cp target/*.jar ../dist/

artifacts:
  files:
    - 'dist/**/*'

cache:
  paths:
    - '/root/.m2/**/*'
